<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>DGTVBRO</title>

    <script src="//ssl.p.jwpcdn.com/player/v/8.26.0/jwplayer.js"></script>
    <meta content="noindex, nofollow, noarchive" name="robots"><script>jwplayer.key = "XSuP4qMl+9tK17QNb+4+th2Pm9AWgMO/cYH8CI0HGGr7bdjo";</script>
    <meta name="robots" content="noindex, nofollow" />
    <meta name="referrer" content="no-referrer" />
    <link rel=profile href="https://pripri7.github.io/img/live/icondg.png">
    <style>
    body {
       margin: 0;
       padding: 0;
    }
    #player {
        height: 100vh !important;
    }
   

    </style>
</head>
<body>
    
    <script type="text/javascript">
    function getParameterByName(name) {
            name = name.replace(/[\[\]]/g, "\\$&");
            var regex = new RegExp("[?&]" + name + "(=([^&#]*)|&|#|$)"),
                results = regex.exec(window.location.href);
            if (!results) return null;
            if (!results[2]) return '';
            return decodeURIComponent(results[2].replace(/\+/g, " "));
        }
    </script>
    <div id="player"></div>
    

    <script type="text/javascript">
                var ConfiguracionCanales = {
            
            "DAZNF1": {
                url: "https://cors-proxy.cooks.fyi/https://dazn.bittv.workers.dev/dash/dazn-linear-016/stream.mpd",
                k1: "8ab47741930c476780515f9a00decb0a",
                k2: "7ab4b9ae5a48aa526e511a913b832769"
            },

            "DZN1DE": {
              url: "https://cors-proxy.cooks.fyi/https://dazn.bittv.workers.dev/dash/dazn-linear-017/stream.mpd",
              k1: "8ab47741930c476780515f9a00decb0a",
              k2: "7ab4b9ae5a48aa526e511a913b832769"
            },
            
            "DZN2DE": {
                url: "https://cors-proxy.cooks.fyi/https://dazn.bittv.workers.dev/dash/dazn-linear-018/stream.mpd",
                k1: "8ab47741930c476780515f9a00decb0a",
                k2: "7ab4b9ae5a48aa526e511a913b832769"
            },
            
            "TV4SP1": {
                url: "https://director.streaming.telia.com/tvm-packager-prod/group1/60896cc147a23d68775cd5c3/manifest.mpd",
                k2: "793d3bf7e16e9300c0298fb2b3ba6f68"
            },
            
            
            "TV4SP2": {
              url: "https://director.streaming.telia.com/tvm-packager-prod/group1/60896d1247a23dae065cd5f4/manifest.mpd",
              k1: "d7a1fb185df6505fbc8b63df59c31f55",
              k2: "368257ec8b55026bc42e2de5b60aa737"
            },
            
            
            "TV4SP3": {
              url: "https://director.streaming.telia.com/tvm-packager-prod/group1/60896d3547a23d6bbd5cd609/manifest.mpd",
              k1: "90397fef042351ec88035875ada6d1dd",
              k2: "6edb6ccecf50362a74d647e6ea285365"
            },

            "TV4SP4": {
              url: "https://director.streaming.telia.com/tvm-packager-prod/group1/60896d5647a23d19495cd627/manifest.mpd",
              k1: "99c9c1d2eff15da09b1b64ed16a17a84",
              k2: "6f7174c7e2d5e07fff7ba012e2e94956"
            },


            "vvb": {
              url: "https://director.streaming.telia.com/tvm-packager-prod/group1/60896d5647a23d19495cd627/manifest.mpd",
              k1: "99c9c1d2eff15da09b1b64ed16a17a84",
              k2: "6f7174c7e2d5e07fff7ba012e2e94956"
            },


            "SCH": {
                url: "https://av-ch-cdn.mncnow.id/live/eds/soccerchannel-test/sa_dash_vmx/soccerchannel-test.mpd",
                k1: "4d38060bf41b3c29df0ec950ece6b5da",
                k2: "7ee9506b13480491d79b71c062ab5366"
            },

            "BEIN1ID": {
              url: "https://cempedak-cdn-fly.mncnow.id/live/eds/BEIN01/sa_dash_vmx/BEIN01.mpd",
              k1: "57d2ac9210cfbca3596cc679a01c8b29",
              k2: "d5e35c0f39c76adf24853d7ea18c71e7"
            },
            
           "BEIN3ID": {
                url: "https://av-ch-cdn.mncnow.id/live/eds/BEIN03/sa_dash_vmx/BEIN03.mpd",
                k1: "57d2ac9210cfbca3596cc679a01c8b29",
                k2: "d5e35c0f39c76adf24853d7ea18c71e7"
            },
            "SP1": {
                url: "https://av-ch-cdn.mncnow.id/live/eds/MNCSports-HD/sa_dash_vmx/MNCSports-HD.mpd",
                k1: "531c6d50e3e9f9ba66446f624f492289",
                k2: "d769d9ae238bdd424f8bcdcdc9a3801f"
            },

            "SP2": {
                url: "https://av-ch-cdn.mncnow.id/live/eds/MNCSports2-HD/sa_dash_vmx/MNCSports2-HD.mpd",
                k1: "45fec91ce1f19b6b1f31d69dcfaaf6cd",
                k2: "843e228ab109e9aa6c4822ee4ad05d7d"
            },
            
          




            "SCTV": {
              url: "https://atemecdnbalancer-voe.sysln.id/live/eds/SCTVHD/mpd/SCTVHD.mpd",
              k1: "a79a188263724bfcaafc4a7c3b3cd8ce",
              k2: "4d4732d93e6720de0ef884d7106e14f7"
            },

            "TRANSTV": {
                url: "https://donelfantastic.github.io/creativemedia/local/transtvID.m3u8"

            },

            "TRANSTV1": {
                url: "https://dai.google.com/linear/hls/event/L8dx9aRVSWm-UTVLYoagqg/master.m3u8"

            },
            
            "DGTVBRO": {
                url: "https://pripri7.github.io/img/live/staydg.mp4"

            },
            
            "LIVE1": {
              url: "https://raw.githubusercontent.com/Cutsiffa/Cutsiffa/main/Spl_1/Dz1.m3u8"
            
            },
            
            "LIVE2": {
              url: "https://bf.jlbofang.vip/live/322675_hd01.m3u8?txSecret=29d11c0590d8c8e18648a1f6267809c1&txTime=671e2a73"
            
            },
            
            "LIVE3": {
              url: "https://bf.jlbofang.cc/live/322692_hd01.m3u8?txSecret=f947ddd9ad50843f80376e92b8fcc496&txTime=67190544"
            
            },

           
            
            "LIVE4": {
              url: "https://bf.jlbofang.cc/live/322692_hd01.m3u8?txSecret=f947ddd9ad50843f80376e92b8fcc496&txTime=67190544"
            
            }
            
            








          
            

        };
    var id = getParameterByName('id');
var config = ConfiguracionCanales[id];

console.log(id,config)
if (config) {
    var sources = [];

    if (config.url.includes('.m3u8')) {
        sources.push({
            file: config.url
        });
    }
    
    if (config.url.includes('.mpd') && config.k1 && config.k2) {
        sources.push({
            file: config.url,
            drm: {"clearkey": {"keyId": config.k1, "key": config.k2}}
        });
    }

 //JWWWWWW
    jwplayer("player").setup({
      
       logo: {
                file: 'https://pripri7.github.io/img/live/dglogo.png',
                link: '',
                position: 'bottom-right'
            },
        playlist: [{
          
          
            image: "https://pripri7.github.io/img/live/backgroundplay.png",
            sources: sources
        }],
        autostart: false,
        width: "100%", 
        height: "100%", 
        stretching: "uniform",
        aspectratio: "16:9",
        cast: {}, 
                sharing: {}
        });
        }
    </script>
</body>
</html>